<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".DirectLaborActivity">

    <LinearLayout
        android:id="@+id/layout11"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/title"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">
        <ImageButton
            android:id="@+id/imb_back"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="onClick"
            app:srcCompat="@drawable/back" />

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:padding="5dp"
            android:text="Direct labor"
            android:textColor="@color/color_white"
            android:textSize="25sp"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout11">

        <LinearLayout
            android:id="@+id/linearLayout001"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="4dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/layout11">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView140"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="right|center"
                    android:text="Shift :"
                    android:textColor="@color/black"
                    android:textSize="20sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginEnd="10dp"
                android:layout_weight="0.27"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btn_shift_A"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/btn_shift_a"
                    android:onClick="onClick"
                    android:text="A"
                    android:textAllCaps="false"
                    android:textColor="@color/black"
                    android:textSize="20sp" />

                <Button
                    android:id="@+id/btn_shift_B"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/btn_shift_b"
                    android:text="B"
                    android:onClick="onClick"
                    android:textAllCaps="false"
                    android:textColor="@color/black"
                    android:textSize="20sp" />

                <Button
                    android:id="@+id/btn_shift_other"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/btn_shift_other"
                    android:text="Other"
                    android:onClick="onClick"
                    android:textAllCaps="false"
                    android:textColor="@color/black"
                    android:textSize="20sp" />

            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/linearLayout"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="4dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/layout11">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView14"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="right|center"
                    android:text="In/Out :"
                    android:textColor="@color/black"
                    android:textSize="20sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginEnd="10dp"
                android:layout_weight="0.27"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btn_in"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/btn_in"
                    android:text="In"
                    android:onClick="onClick"
                    android:textAllCaps="false"
                    android:textColor="@color/black"
                    android:textSize="20sp" />

                <Button
                    android:id="@+id/btn_out"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/btn_out"
                    android:text="Out"
                    android:onClick="onClick"
                    android:textAllCaps="false"
                    android:textColor="@color/black"
                    android:textSize="20sp" />

            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="4dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/textView401"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="right|center_vertical"
                android:text="ID : "
                android:textColor="@color/black"
                android:textSize="20sp" />

            <EditText
                android:id="@+id/edt_user"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_weight="0.54"
                android:background="@drawable/img_backgroup001"
                android:gravity="center"
                android:textColor="@color/color_text_menu"
                android:textSize="20sp" />

            <ImageButton
                android:id="@+id/btn_search"
                style="@style/Base.Widget.AppCompat.Button.Borderless"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:onClick="onClick"
                android:layout_weight="1"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/button_backgroup_green"
                app:srcCompat="@android:drawable/ic_menu_search" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/txt_name"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="18sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="4dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/textView402"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="right|center_vertical"
                android:text="Wks : "
                android:textColor="@color/black"
                android:textSize="20sp" />

            <Spinner
                android:id="@+id/spinner_wks"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="10dp"
                android:layout_weight="0.27"
                android:background="@drawable/img_backgroup001"
                android:gravity="center"
                android:textColor="@color/color_text_menu"
                android:textSize="20sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="15dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/txt_wks_name"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="20sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="4dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/textView403"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="right|center_vertical"
                android:text=" Process: "
                android:textColor="@color/black"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/txt_process"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginEnd="10dp"
                android:layout_weight="0.3"
                android:background="@drawable/img_backgroup001"
                android:gravity="center"
                android:textColor="@color/color_text_menu"
                android:textSize="20sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/txt_process_name"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="20sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/linearLayout9"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginStart="60dp"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="60dp"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <Button
                android:id="@+id/btn_enter"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/button_backgroup_green"
                android:onClick="onClick"
                android:text="Enter [P2]"
                android:textAllCaps="false"
                android:textColor="@color/black"
                android:textSize="20sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/txt_message"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:textColor="@color/color_header"
                android:textSize="18sp"
                android:textStyle="bold" />
        </LinearLayout>
    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_alert"
        android:layout_width="0dp"
        android:layout_height="60dp"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:background="@color/btn_background"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/txt_message_alert"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:textColor="@color/red"
            android:textSize="18dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="5dp"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/layout" />


</androidx.constraintlayout.widget.ConstraintLayout>